#include <windows.h>
#include <stdlib.h>
#include <stdio.h>
#include <strings.h>
#include "gluw.h"
#include "vector.h"
#include "obj.h"
#include "hair.h"
#include "resource.h"

int change_ext_hair_to_inc( char *str ) ;

int win_FilePovex(HWND hEdit)
{
  char szFile[MAX_PATH];
  char szFileTitle[MAX_PATH];
  OPENFILENAME ofn;
  
  memset(szFile, 0, MAX_PATH) ;
  memset(szFileTitle, 0, MAX_PATH) ;
  memset(&ofn, 0, sizeof(OPENFILENAME));
  ofn.lStructSize    = sizeof(OPENFILENAME);
  ofn.hwndOwner      = hEdit;
  ofn.lpstrFilter    = "inc(*.inc)\0*.inc\0All files(*.*)\0*.*\0\0";
  if( HOBJ!=NULL ){
    strncpy(szFile,HOBJ->fname,MAX_PATH) ;
    change_ext_hair_to_inc( szFile ) ;
  }
  ofn.lpstrFile      = szFile;
  ofn.lpstrFileTitle = szFileTitle;
  ofn.nMaxFile       = MAX_PATH;
  ofn.nMaxFileTitle  = MAX_PATH;
  ofn.Flags          = OFN_FILEMUSTEXIST | OFN_HIDEREADONLY;
  ofn.lpstrDefExt    = "inc";
  ofn.lpstrTitle     = "Open POV inc file";
  
  if(GetSaveFileName(&ofn) == 0) return(-1) ;

  //printf("%s\n",szFile) ;

  if( write_pov(szFile,HOBJ,&pov_param)==0 ){
    strncpy(HOBJ->fname,szFile,MAX_PATH) ;
  }
  
  return(0) ;
}


int change_ext_hair_to_inc( char *str )
{
  int i ;
  int len ;
  char tmp_str[MAX_PATH];

  len=strlen(str) ;
  
  for( i=0 ; i<MAX_PATH ; i++ ) tmp_str[i]='\0' ;

  for( i=len-1 ; i>=0 ; i-- ){
    if( str[i]=='\\' ) return(0) ;
    if( str[i]=='.' ) break ;
  }

  strncpy(tmp_str,str,i) ;
  sprintf(str,"%s.inc",tmp_str) ;

  return(0) ;
}
