#include <windows.h>
#include <stdlib.h>
#include <stdio.h>
#include <strings.h>
#include "gluw.h"
#include "vector.h"
#include "obj.h"
#include "hair.h"
#include "resource.h"

int win_FileSaveAs(HWND hEdit)
{
  char szFile[MAX_PATH];
  char szFileTitle[MAX_PATH];
  OPENFILENAME ofn;
  
  memset(szFile, 0, MAX_PATH) ;
  memset(szFileTitle, 0, MAX_PATH) ;
  memset(&ofn, 0, sizeof(OPENFILENAME));
  ofn.lStructSize    = sizeof(OPENFILENAME);
  ofn.hwndOwner      = hEdit;
  ofn.lpstrFilter    = "hair(*.hair)\0*.hair\0All files(*.*)\0*.*\0\0";
  if( HOBJ!=NULL ){
    strncpy(szFile,HOBJ->fname,MAX_PATH) ;
  }
  ofn.lpstrFile      = szFile;
  ofn.lpstrFileTitle = szFileTitle;
  ofn.nMaxFile       = MAX_PATH;
  ofn.nMaxFileTitle  = MAX_PATH;
  ofn.Flags          = OFN_FILEMUSTEXIST | OFN_HIDEREADONLY;
  ofn.lpstrDefExt    = "hair";
  ofn.lpstrTitle     = "Open hair file";
  
  if(GetSaveFileName(&ofn) == 0) return(-1) ;

  printf("%s\n",szFile) ;

  if( write_hair(szFile,HOBJ)==0 ){
    strncpy(HOBJ->fname,szFile,MAX_PATH) ;
  }
  
  return(0) ;
}
