#include <windows.h>
#include <stdlib.h>
#include <math.h>
#include "gluw.h"
#include "vector.h"
#include "obj.h"
#include "hair.h"

int change_ext_hair_to_inc( char *str ) ;

int gluw_keyboard(int key , int x , int y)
{
  switch( key ){
  case 'r' :
    view3d.v.x=0.0   ;  view3d.v.y=0.0   ;  view3d.v.z=5.0   ;
    view3d.c.x=0.0   ;  view3d.c.y=0.0   ;  view3d.c.z=0.0   ;
    view3d.u.x=0.0   ;  view3d.u.y=1.0   ;  view3d.u.z=0.0   ;
    view3d.r.x=0.0   ;  view3d.r.y=0.0   ;  view3d.r.z=0.0   ;
    view3d.p.x=0.0   ;  view3d.p.y=0.0   ;  view3d.p.z=0.0   ;
    view3d.scale=1.0 ;
    view3d.cur.x=0.0 ;  view3d.cur.y=0.0 ;  view3d.cur.z=0.0 ;
    view3d.sta.x=0.0 ;  view3d.sta.y=0.0 ;  view3d.sta.z=0.0 ;
    view3d.HGno.n =-1 ;
    if( HOBJ!=NULL ) setdraw_HR( &view3d, HOBJ->head ) ;
    break ;
  case 's' :
    opstat.hideHGP = (opstat.hideHGP+1)%2 ;
    break ;
  case 'S' :
    opstat.hideHG  = (opstat.hideHG+1)%2 ;
    break ;
  case 'h' :
    opstat.hideHead = (opstat.hideHead+1)%2 ;
    break ;
  case 'H' :
    opstat.hideHeadP  = (opstat.hideHeadP+1)%2 ;
    break ;
  case ' ' :
    if(        opstat.edit_mode==0 ){
      if( HOBJ!=NULL ) selectall_HG( &view3d, HOBJ->hgl, 2 ) ;
    } else if( opstat.edit_mode==1 ){
      if( HOBJ!=NULL ) selectall_HR( &view3d, HOBJ->head, 2 ) ;
    }
    break ;
  case 'a' :
    if(        opstat.edit_mode==0 ){
      if( HOBJ!=NULL ) selectall_HG( &view3d, HOBJ->hgl, 1 ) ;
    } else if( opstat.edit_mode==1 ){
      if( HOBJ!=NULL ) selectall_HR( &view3d, HOBJ->head, 1 ) ;
    }
    break ;
  case 'A' :
    if(        opstat.edit_mode==0 ){
      if( HOBJ!=NULL ) selectgid_HG( &view3d, HOBJ->hgl, opstat.edit_gid ) ;
    } else if( opstat.edit_mode==1 ){
    }
    break ;
  case '1' :
    opstat.edit_gid=0 ;
    break ;
  case '!' :
    view3d.gp[0].hide = (view3d.gp[0].hide+1)%2 ;
    break ;
  case '2' :
    opstat.edit_gid=1 ;
    break ;
  case '"' :
    view3d.gp[1].hide = (view3d.gp[1].hide+1)%2 ;
    break ;
  case '3' :
    opstat.edit_gid=2 ;
    break ;
  case '#' :
    view3d.gp[2].hide = (view3d.gp[2].hide+1)%2 ;
    break ;
  case '4' :
    opstat.edit_gid=3 ;
    break ;
  case '$' :
    view3d.gp[3].hide = (view3d.gp[3].hide+1)%2 ;
    break ;
  case 'm' :
    opstat.edit_mode=(opstat.edit_mode+1)%2 ;
    break ;
  case 'n' :
    opstat.sync_mode=(opstat.sync_mode+1)%2 ;
    break ;
  case VK_DELETE : /* DEL */
    if(        opstat.edit_mode==0 ){
      if( HOBJ!=NULL ) del_HG( HOBJ->hgl ) ;
      if( HOBJ!=NULL ) clr_HS( &view3d ) ;
    } else if( opstat.edit_mode==1 ){
    }
    break ;
  case 'x' :
    if(        opstat.edit_mode==0 ){
      clr_HS( &view3d ) ;
    } else if( opstat.edit_mode==1 ){
    }
    break ;
  case 'g' :
    if(        opstat.edit_mode==0 ){
    } else if( opstat.edit_mode==1 ){
      if( HOBJ!=NULL ) gen_HG( HOBJ->head, HOBJ->hgl, opstat.edit_gid ) ;
    }
    break ;
  case 'o' :
    if( HOBJ!=NULL ) write_hair(outputhair,HOBJ) ;
    break ;
  case 'p' :
    {
      char fname[MAX_PATH] ;
      if( HOBJ!=NULL ){
	strncpy(fname,HOBJ->fname,MAX_PATH) ;
	change_ext_hair_to_inc( fname ) ;
	write_pov(fname,HOBJ,&pov_param) ;
      }
    }
    break ;
  case 'q' :
    exit(0) ;
    break ;
  case 'c' :
    if(        opstat.edit_mode==0 ){
      if( HOBJ!=NULL ) chg_HGgid( HOBJ->head, HOBJ->hgl, opstat.edit_gid ) ;
    } else if( opstat.edit_mode==1 ){
    }
    break ;
  case 'y' :
    add_HS( &view3d ) ;
    break ;
  default :
    return(0) ;
    break ;
  }

  return(1) ;
}


