#include <stdlib.h>
#include <math.h>
#include "gluw.h"
#include "vector.h"
#include "obj.h"
#include "hair.h"

int gluw_mouse( int key_acs, int mb, int x, int y )
{
  int alt_stat ;
  int shift_stat ;
  int cntl_stat ;

  alt_stat  = key_acs & GLUW_ALT_KEY ;
  shift_stat= key_acs & GLUW_SHIFT_KEY ;
  cntl_stat = key_acs & GLUW_CNTL_KEY ;

  if( (mb & GLUW_LBUTTONDOWN)!=0 ) mouse_Button |= 1 ;
  if( (mb & GLUW_RBUTTONDOWN)!=0 ) mouse_Button |= 2 ;
  if( (mb & GLUW_LBUTTONUP)  !=0 ) mouse_Button &= ~(1) ;
  if( (mb & GLUW_RBUTTONUP  )!=0 ) mouse_Button &= ~(2) ;

  if( mouse_Button==0 ){
    startx=x ;
    starty=y ;
    
    view3d.cur.x =  view3d.v.z*tan(dec2rad(view3d.fov/2.0)) * (x     -(view3d.win_w/2))/(view3d.win_h/2) ;
    view3d.cur.y = -view3d.v.z*tan(dec2rad(view3d.fov/2.0)) * (y     -(view3d.win_h/2))/(view3d.win_h/2) ;
    if(       opstat.edit_mode==0 ){
      if( HOBJ!=NULL ) search_HG( &view3d, HOBJ->hgl ) ;
    }else if( opstat.edit_mode==1 ){
      if( HOBJ!=NULL ) search_HR( &view3d, HOBJ->head ) ;
    }
    return(1) ;
    
  }else{
    if( alt_stat!=0 ){
      if(  shift_stat==0 && cntl_stat==0 ){
	view3d.r.y+= startx-x ;
	if( view3d.r.y<0.0   ) view3d.r.y+=360.0 ;
	if( view3d.r.y>360.0 ) view3d.r.y-=360.0 ;
	view3d.r.x-= starty-y ;
	if( view3d.r.x<0.0   ) view3d.r.x+=360.0 ;
	if( view3d.r.x>360.0 ) view3d.r.x-=360.0 ;
	
	startx=x ;
	starty=y ;
	if( HOBJ!=NULL ) setdraw_HR( &view3d, HOBJ->head ) ;
	return(1) ;//glutPostRedisplay();
      }
      
      if( shift_stat==0 && cntl_stat!=0 ){
	view3d.v.z += (starty-y)/10.0 ;
	if( view3d.v.z> 100 ) view3d.v.z= 100 ;
	if( view3d.v.z< 0.0 ) view3d.v.z= 0.0 ;
	startx=x ;
	starty=y ;
	return(1) ;//glutPostRedisplay();
      }
      
      if( shift_stat!=0 && cntl_stat==0 ){
	view3d.p.x -= (startx-x)/20.0 ;
	view3d.p.y += (starty-y)/20.0 ;
	startx=x ;
	starty=y ;
	return(1) ;//glutPostRedisplay();
      }
    }else{ // alt_stat==0
      
      view3d.sta.x =  view3d.v.z*tan(dec2rad(view3d.fov/2.0)) * (startx-(view3d.win_w/2))/(view3d.win_h/2) ;
      view3d.sta.y = -view3d.v.z*tan(dec2rad(view3d.fov/2.0)) * (starty-(view3d.win_h/2))/(view3d.win_h/2) ;
      view3d.cur.x =  view3d.v.z*tan(dec2rad(view3d.fov/2.0)) * (x     -(view3d.win_w/2))/(view3d.win_h/2) ;
      view3d.cur.y = -view3d.v.z*tan(dec2rad(view3d.fov/2.0)) * (y     -(view3d.win_h/2))/(view3d.win_h/2) ;
      
      if(       opstat.edit_mode==0 ){
	if(       cntl_stat==0 ){
	  if( HOBJ!=NULL ) move_HG( &view3d, HOBJ->hgl, opstat.sync_mode ) ;
	}else if( cntl_stat!=0 ){
	  if( HOBJ!=NULL ) search_HG( &view3d, HOBJ->hgl ) ;
	  if( HOBJ!=NULL ) select_HG( &view3d, HOBJ->hgl, mouse_Button ) ;
	}
      }else if( opstat.edit_mode==1 ){
	if( HOBJ!=NULL ) search_HR( &view3d, HOBJ->head ) ;
	if( HOBJ!=NULL ) select_HR( &view3d, HOBJ->head, mouse_Button ) ;
      }
      
      startx=x ;
      starty=y ;
      return(1) ;//glutPostRedisplay();
    }
  }
    
  return(0) ;
}  
  
