#include <stdlib.h>
#include <stdio.h>
#include <string.h>
#include <GL/glut.h>
#include <math.h>
#include "vector.h"
#include "obj.h"

int add_HS( struct View3D *view3d ) ;
int clr_HS( struct View3D *view3d ) ;
int clr_his( struct SelHist *his ) ;

int add_HS( struct View3D *view3d )
{
  int start_id=-1 ;
  int end_id  =-1 ;
  int i ;

  for( i=0 ; i<view3d->his.num ; i++ ){
    int hiscur=(i+view3d->his.cur)%view3d->his.num ;
    if( view3d->hs.n>=view3d->hs.num ) break ;
    if( view3d->his.buf[hiscur]>-1 ){
      if( start_id==-1 ){
	start_id=view3d->his.buf[hiscur] ;
	continue ;
      }else{
	end_id=view3d->his.buf[hiscur] ;
	view3d->hs.hg1[view3d->hs.n]=start_id ;
	view3d->hs.hg2[view3d->hs.n]=end_id   ;
	view3d->hs.n++ ;
	start_id=end_id ;
      }
    }
  }

  clr_his( &view3d->his ) ;
  
  return(0) ;
}


int clr_HS( struct View3D *view3d )
{
  int i ;
  
  view3d->hs.num=HS_NUM ;
  for( i=0 ; i<view3d->hs.num ; i++ ){
    view3d->hs.hg1[i]=-1 ;
    view3d->hs.hg2[i]=-1 ;
  }
  view3d->hs.n=0 ;

  return(0) ;
}
  
