#include <windows.h>
#include <stdlib.h>
#include <stdio.h>
#include "gluw.h"
#include "vector.h"
#include "obj.h"
#include "hair.h"
#include "resource.h"

int change_ext_3ds_to_hair( char *str ) ;

int win_3dsOpen(HWND hEdit)
{
  char szFile[MAX_PATH];
  char szFileTitle[MAX_PATH];
  OPENFILENAME ofn;
  struct HairObjData *hobj_old ;
  struct HairObjData *hobj_new ;
  
  memset(szFile, 0, MAX_PATH) ;
  memset(szFileTitle, 0, MAX_PATH) ;
  memset(&ofn, 0, sizeof(OPENFILENAME));
  ofn.lStructSize    = sizeof(OPENFILENAME);
  ofn.hwndOwner      = hEdit;
  ofn.lpstrFilter    = "3ds(*.3ds)\0*.3ds\0All files(*.*)\0*.*\0\0";
  ofn.lpstrFile      = szFile;
  ofn.lpstrFileTitle = szFileTitle;
  ofn.nMaxFile       = MAX_PATH;
  ofn.nMaxFileTitle  = MAX_PATH;
  ofn.Flags          = OFN_FILEMUSTEXIST | OFN_HIDEREADONLY;
  ofn.lpstrDefExt    = "3ds";
  ofn.lpstrTitle     = "Open 3DS file";
  
  if(GetOpenFileName(&ofn) == 0) return(-1) ;

  //printf("%s\n",szFile) ;
  
  hobj_new=read_3ds(szFile) ;
  if( hobj_new==NULL ){
    printf("read faild\n") ;
  }else{
    view3d.HGno.n=-1 ;
    clr_HS( &view3d ) ;
    hobj_old=HOBJ ;
    HOBJ    =hobj_new ;
    free_hairobj(hobj_old) ;
    setdraw_HR( &view3d, HOBJ->head ) ;
    strncpy(HOBJ->fname,szFile,MAX_PATH) ;
    change_ext_3ds_to_hair(HOBJ->fname) ;
  }
  
  return(0) ;
}

int change_ext_3ds_to_hair( char *str )
{
  int i ;
  int len ;
  char tmp_str[MAX_PATH];

  len=strlen(str) ;
  
  for( i=0 ; i<MAX_PATH ; i++ ) tmp_str[i]='\0' ;

  for( i=len-1 ; i>=0 ; i-- ){
    if( str[i]=='\\' ) return(0) ;
    if( str[i]=='.' ) break ;
  }

  strncpy(tmp_str,str,i) ;
  sprintf(str,"%s.hair",tmp_str) ;

  return(0) ;
}
