#include <windows.h>
#include <stdlib.h>
#include <stdio.h>
#include <strings.h>
#include "gluw.h"
#include "vector.h"
#include "obj.h"
#include "hair.h"
#include "resource.h"

int win_FileOpen(HWND hEdit)
{
  char szFile[MAX_PATH];
  char szFileTitle[MAX_PATH];
  OPENFILENAME ofn;
  struct HairObjData *hobj_old ;
  struct HairObjData *hobj_new ;
  
  memset(szFile, 0, MAX_PATH) ;
  memset(szFileTitle, 0, MAX_PATH) ;
  memset(&ofn, 0, sizeof(OPENFILENAME));
  ofn.lStructSize    = sizeof(OPENFILENAME);
  ofn.hwndOwner      = hEdit;
  ofn.lpstrFilter    = "hair(*.hair)\0*.hair\0All files(*.*)\0*.*\0\0";
  ofn.lpstrFile      = szFile;
  ofn.lpstrFileTitle = szFileTitle;
  ofn.nMaxFile       = MAX_PATH;
  ofn.nMaxFileTitle  = MAX_PATH;
  ofn.Flags          = OFN_FILEMUSTEXIST | OFN_HIDEREADONLY;
  ofn.lpstrDefExt    = "hair";
  ofn.lpstrTitle     = "Open hair file";
  
  if(GetOpenFileName(&ofn) == 0) return (-1);

  //printf("%s\n",szFile) ;

  hobj_new=read_hair(szFile) ;
  if( hobj_new==NULL ){
    printf("read faild\n") ;
  }else{
    view3d.HGno.n=-1 ;
    clr_HS( &view3d ) ;
    hobj_old=HOBJ ;
    HOBJ    =hobj_new ;
    free_hairobj(hobj_old) ;
    setdraw_HR( &view3d, HOBJ->head ) ;
    strncpy(HOBJ->fname,szFile,MAX_PATH) ;
  }
  
  return(0) ;
}
